%global srcname pdfsandwich

Name: %{srcname}
Version: 0.1.7
Release: 2%{?dist}
Summary: A tool to make "sandwich" OCR pdf files

License: GPLv2+
URL: http://www.tobias-elze.de/pdfsandwich/

Source0: https://downloads.sourceforge.net/%{srcname}/%{srcname}-%{version}.tar.bz2

BuildRequires: ocaml
BuildRequires: perl
Requires: ImageMagick
Requires: ghostscript
Requires: poppler-utils
Requires: tesseract
Requires: unpaper

%description
pdfsandwich generates "sandwich" OCR pdf files, i.e. pdf files which contain
only images (no text) will be processed by optical character recognition (OCR)
and the text will be added to each page invisibly "behind" the images. 

%global debug_package %{nil}

%prep
%autosetup -n %{srcname}-%{version}

%build
sed -i -e 's/ test -x / test -d /' configure
%{_configure} --prefix=%{_prefix}
%make_build

%install
%make_install

%check

%files
%license copyright
%doc manual.txt
%{_bindir}/pdfsandwich
%{_mandir}/man1/pdfsandwich.1.gz
%{_docdir}/pdfsandwich/

%changelog
* Tue Jan 05 2021 Merlin Mathesius <mmathesi@redhat.com> - 0.1.7-2
- Fixes to build with current versions of Fedora

* Tue Aug 21 2018 Merlin Mathesius <mmathesi@redhat.com> - 0.1.7-1
- Initial packaging.
